Retrieves all skills

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "eb308b4b-64bf-4b80-a6cd-058cdba4e45a",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "fb69c760-1efb-4a6d-8d3c-f5f96e7924bc",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "c099f646-f180-4324-804e-950e571a4aed",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "53d6d5e7-581e-47fe-aa54-56b1f7f8d659",
    "db_currency_id": "265c43ad-dc73-4ba9-8e4e-147ec899d739",
    "db_language_id": "66babd54-5e1c-41a0-8dc3-b4f43eb090ad",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-30T01:07:17.4120507+00:00"
  },
  "modified_dateutc": "2026-10-30T01:07:17.4120507+00:00"
}